import App from './App'
// vuex
import store from './store'
Vue.prototype.$store = store;
// 公共js
import tools from '@/tools/tools.js'
Vue.prototype.$tools = tools;
//请求
import http from '@/tools/https.js'
Vue.prototype.$http = http;
//接口
import model from '@/tools/model.js'
Vue.prototype.$model = model;
// 语言
import messages from './locale/index'

//首页卡片列表
import json from '@/cardlist.json'
Vue.prototype.$json = json;

let i18nConfig = {
	locale: uni.getLocale(),
	messages
}

// #ifndef VUE3
import Vue from 'vue'
import VueI18n from 'vue-i18n'
Vue.use(VueI18n)
const i18n = new VueI18n(i18nConfig)
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	i18n,
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
import {
	createI18n
} from 'vue-i18n'
const i18n = createI18n(i18nConfig)
export function createApp() {
	const app = createSSRApp(App)
	app.use(i18n)
	return {
		app
	}
}
// #endif